'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
	async up(queryInterface, Sequelize) {
		await queryInterface.addColumn('post_tags', 'status', {
			type: Sequelize.ENUM('Pending', 'Accepted', 'Rejected'),
			defaultValue: 'Pending',
			allowNull: false,
		});
	},

	async down(queryInterface, Sequelize) {
		await queryInterface.removeColumn('post_tags', 'status');
	},
};
